<?php 
require_once "../modelos/Ordencompraingreso.php";
if (strlen(session_id())<1) 
	session_start();

$ordencompraingreso=new Ordencompraingreso();

$idordencompraingreso		=isset($_POST["idordencompraingreso"])? 		limpiarCadena($_POST["idordencompraingreso"]):"";
$idproveedor						=isset($_POST["idproveedor"])? 		limpiarCadena($_POST["idproveedor"]):"";
$idalmacen							=isset($_POST["idalmacen"])? 		limpiarCadena($_POST["idalmacen"]):"";
$idusuario							=$_SESSION["idusuario"];
$tipo_comprobante				=isset($_POST["tipo_comprobante"])? limpiarCadena($_POST["tipo_comprobante"]):"";
$serie_comprobante			=isset($_POST["serie_comprobante"])?limpiarCadena($_POST["serie_comprobante"]):"";
$num_comprobante				=isset($_POST["num_comprobante"])? 	limpiarCadena($_POST["num_comprobante"]):"";
$num_ordencompraingreso	=isset($_POST["num_ordencompraingreso"])? 	$_POST["num_ordencompraingreso"]:"";
$fecha_hora							=isset($_POST["fecha_hora"])? 		limpiarCadena($_POST["fecha_hora"]):"";
$fecha_horar						=isset($_POST["fecha_horar"])? 		limpiarCadena($_POST["fecha_horar"]):"";
$impuesto								=isset($_POST["impuesto"])? 		limpiarCadena($_POST["impuesto"]):"";
$total_compra						=isset($_POST["total_compra"])? 	limpiarCadena($_POST["total_compra"]):"";
$total_comprad					=isset($_POST["total_comprad"])? 	limpiarCadena($_POST["total_comprad"]):"";
$total_comprai					=isset($_POST["total_comprai"])? 	limpiarCadena($_POST["total_comprai"]):"";
$total_compraid					=isset($_POST["total_compraid"])? 	limpiarCadena($_POST["total_compraid"]):"";
$almacen								=isset($_POST["almacen"])? 			limpiarCadena($_POST["almacen"]):"";
$islr										=isset($_POST["islr"])? 	limpiarCadena($_POST["islr"]):"";
$idimpuestoslr					=isset($_POST["idimpuestoslr"])? 			limpiarCadena($_POST["idimpuestoslr"]):"";
$observacion						=isset($_POST["observacion"])? 			limpiarCadena($_POST["observacion"]):"";
$idformapagop						=isset($_POST["idformapagop"])? 			limpiarCadena($_POST["idformapagop"]):"";

//$codigo_barra		=isset($_POST["cod_barra"])? 		limpiarCadena($_POST["cod_barra"]):"";

switch ($_GET["op"]) {
	case 'guardaryeditar':
		if (empty($idordencompraingreso)) {
			$rspta=$ordencompraingreso->insertar($idproveedor,$idalmacen,$idusuario,$tipo_comprobante,$serie_comprobante,$num_comprobante,$num_ordencompraingreso,$islr,$idimpuestoslr,$fecha_hora,$fecha_horar,$impuesto,$total_compra,$total_comprad,$total_comprai,$total_compraid,$observacion,$idformapagop,$_POST["idarticulo"],
			$_POST["cantidad"],$_POST["precio_compra"],$_POST["precio_comprad"],$_POST["precio_compraa"],$_POST["precio_compraad"],$_POST["fecha_lote"],$_POST["nrolote"],$_POST["tipo"]);
			echo $rspta ? "Los datos del articulo se registraron correctamente" : "No se pudo registrar los datos del articulo";
			}else{
				$rspta=$ordencompraingreso->editar($idordencompraingreso,$idproveedor,$idalmacen,$idusuario,$tipo_comprobante,$serie_comprobante,$num_comprobante,$num_ordencompraingreso,$islr,$idimpuestoslr,$fecha_hora,$fecha_horar,$impuesto,$total_compra,$total_comprad,$total_comprai,$total_compraid,$observacion,$idformapagop,$_POST["idarticulo"],
				$_POST["cantidad"],$_POST["precio_compra"],$_POST["precio_comprad"],$_POST["precio_compraa"],$_POST["precio_compraad"],$_POST["fecha_lote"],$_POST["nrolote"],$_POST["tipo"]);
				echo $rspta ? "Los datos del articulo se registraron correctamente" : "No se pudo registrar los datos del articulo";
		}
	break;
	

	case 'anular':
		$rspta=$ordencompraingreso->anular($idordencompraingreso);
		echo $rspta ? "ordencompraingreso anulado correctamente" : "No se pudo anular el ordencompraingreso";
	break;
	
	case 'mostrar':
		$rspta=$ordencompraingreso->mostrar($idordencompraingreso);
		echo json_encode($rspta);
	break;

	case 'buscardetalleordencompra':
		$rspta=$ordencompraingreso->buscardetalleordencompra($idordencompraingreso);
		echo json_encode($rspta);
	break;


	case 'buscarnrosuministro':
		$rspta=$ordencompraingreso->buscarnrosuministro();
		echo json_encode($rspta);
	break;

	case 'buscarnroordencompraingreso':
		$rspta=$ordencompraingreso->buscarnroordencompraingreso();
		echo json_encode($rspta);
	break;
	

	case 'buscarnrosuministromixto':
		$rspta=$ordencompraingreso->buscarnrosuministromixto();
		echo json_encode($rspta);
	break;
	

	case 'buscarAlmacen':
		$rspta=$ordencompraingreso->buscarAlmacen($almacen);
		echo json_encode($rspta);
	break;
	
	case 'agregarDetalleCodigoDeBarra':
		$codigo_barra	=$_POST["codigobarra"];
		$rspta=$ordencompraingreso->agregarDetalleCodigoDeBarra($codigo_barra);
		echo json_encode($rspta);
	break;	
	
	case 'listarDetalle':
		//recibimos el idordencompraingreso

		/* '<td style="width:60px"><button type="button" class="btn btn-danger" onclick="eliminarDetalle('+cont+')">X</button></td>'+
		'<td><input type="hidden" name="idarticulo[]" value="'+idarticulo+'">'+articulo+'</td>'+
		'<td><input type="text" name="cantidad[]" style="text-align:right;width:100px" id="cantidad[]" value="'+number_format(cantidad)+'"></td>'+
		'<td><input type="text" name="precio_compra[]" style="text-align:right;width:120px" id="precio_compra[]" value="'+number_format(precio_compra,2)+'"></td>'+
		'<td><input type="text" name="precio_comprad[]" style="text-align:right;width:120px" id="precio_comprad[]" value="'+number_format(precio_comprad,2)+'"></td>'+
		
		'<td><input type="text" name="subtotal[]" id="subtotal[]" style="width:120px;text-align:right" value="'+number_format(subtotal,2)+'" >'+
		'<input type="hidden" name="subtotald[]" id="subtotald[]"  value="'+number_format(subtotald,2)+'" >'+
		'<input type="hidden" name="subtotali[]" id="subtotali[]"  value="'+number_format(subtotali,2)+'" ></input>'+
		'<input type="hidden" name="subtotalid[]" id="subtotalid[]"  value="'+number_format(subtotalid,2)+'" ></input>'+
		'</td>'+
       // '<td style="width:120px;text-align:right"><span id="subtotal'+cont+'" name="subtotal">'+number_format(subtotal,2)+'</span></td>'+
    '<td><button type="button" onclick="modificarSubtotales()" class="btn btn-info"><i class="fa fa-refresh"></i></button></td>'+
		'<input type="hidden" name="precio_venta[]" style="text-align:right;width:120px" value="'+number_format(precio_venta,2)+'">'+
		'<input type="hidden" name="precio_ventad[]" style="text-align:right;width:120px" value="'+number_format(preciod,1)+'">'+
		'<input type="hidden" name="exento[]" style="text-align:right;width:120px" value="'+exento+'">'+
		'<input type="hidden" name="tipo[]" style="text-align:right;width:120px" value="'+tipo+'">'+
		'<input type="hidden" name="precio_compraa[]" style="text-align:right;width:120px" id="precio_compraa[]" value="'+number_format(precio_compraa,2)+'">'+
		'<input type="hidden" name="precio_compraad[]" style="text-align:right;width:120px" id="precio_compraad[]" value="'+number_format(precio_compraad,2)+'">'+
		
		'<input type="hidden" name="nrolote[]" id="nrolote[]" style="width:120px" value="'+lote+'">'+
		'<input type="hidden" name="fecha_lote[]" id="fecha_lote[]" value="'+fecha+'" >'+ */
		$id			=$_GET['id'];

		$rspta	=$ordencompraingreso->listarDetalle($id);
		$total	=0;
		$totald	=0;
		$cont		=0;
		echo ' <thead style="background-color:#A9D0F5">
        <th>Opciones</th>
        <th>Articulo</th>
        <th>Cantidad</th>
        <th>Precio Compra Bs.</th>
        <th>Precio Compra $</th>
        <th>Subtotal</th>
       </thead>';
		while ($reg=$rspta->fetch_object()) {
			echo '<tr class="filas" id="fila'.$cont.'">
			<td style="width:60px"><button type="button" class="btn btn-danger" onclick="eliminarDetalle('.$cont.')">X</button></td>
			<td><input type="hidden" name="idarticulo[]" value="'.$reg->idarticulo.'">'.$reg->nombre.'</td>
			<td><input type="text" name="cantidad[]" style="text-align:right;width:100px" id="cantidad[]" value="'.number_format($reg->cantidad,0,',','.').'"></td>
			<td><input type="text" name="precio_compra[]" style="text-align:right;width:120px" id="precio_compra[]" value="'.number_format($reg->precio_compra,2,',','.').'"></td>
			<td><input type="text" name="precio_comprad[]" style="text-align:right;width:120px" id="precio_comprad[]" value="'.number_format($reg->precio_comprad,2,',','.').'"></td>
			<td><input type="text" name="subtotal[]" id="subtotal[]" style="width:120px;text-align:right" value="'.number_format(($reg->precio_compra*$reg->cantidad),2,',','.').'" >
				<input type="hidden" name="subtotald[]" id="subtotald[]"  value="'.number_format(($reg->precio_comprad*$reg->cantidad),2,',','.').'" >
				<input type="hidden" name="subtotali[]" id="subtotali[]"  value="'.number_format(($reg->precio_compra*$reg->cantidad),2,',','.').'" ></input>
				<input type="hidden" name="subtotalid[]" id="subtotalid[]"  value="'.number_format(($reg->precio_comprad*$reg->cantidad),2,',','.').'" ></input>
			</td>
    	<td><button type="button" onclick="modificarSubtotales()" class="btn btn-info"><i class="fa fa-refresh"></i></button></td>
			<input type="hidden" name="precio_venta[]" style="text-align:right;width:120px" value="'.number_format($reg->precio_compra,2,',','.').'">
			<input type="hidden" name="precio_ventad[]" style="text-align:right;width:120px" value="'.number_format($reg->precio_comprad,2,',','.').'">
			<input type="hidden" name="exento[]" style="text-align:right;width:120px" value="">
			<input type="hidden" name="tipo[]" style="text-align:right;width:120px" value="'.$reg->tipo.'">
			<input type="hidden" name="precio_compraa[]" style="text-align:right;width:120px" id="precio_compraa[]" value="'.number_format($reg->precio_compra,2,',','.').'">
			<input type="hidden" name="precio_compraad[]" style="text-align:right;width:120px" id="precio_compraad[]" value="'.number_format($reg->precio_comprad,2,',','.').'">
			<input type="hidden" name="nrolote[]" id="nrolote[]" style="width:120px" value="'.$reg->numerolote.'">
			<input type="hidden" name="fecha_lote[]" id="fecha_lote[]" value="'.$reg->fechalote.'" >
			</tr>';
			$total	=$total+($reg->precio_compra*$reg->cantidad);
			$totald	=$totald+($reg->precio_comprad*$reg->cantidad);
			$cont		=$cont		+1;
		}
		echo '<tfoot>
         <th>TOTAL</th>
         <th></th>
         <th></th>
         <th></th>
         <th style="text-align:right"><h4 id="totald">$. '.number_format($totald,2,',','.').'</h4>
				
         <th style="text-align:right"><h4 id="total">Bs. '.number_format($total,2,',','.').'</h4>
					<input type="hidden" name="total_compra" id="total_compra" value="'.$total.'">
					<input type="hidden" name="total_comprad" id="total_comprad" value="'.$totald.'">
					<input type="hidden" name="total_comprai" id="total_comprai" value="'.$total.'">
					<input type="hidden" name="total_compraid" id="total_compraid" value="'.$totald.'">
				 </th>
       </tfoot>';
	break;
			 
  case 'listar':
			$rspta=$ordencompraingreso->listar();
			$data=Array();

			while ($reg=$rspta->fetch_object()) {
				if ($reg->estado=='Aceptado'){
					$estado= '<span class="badge bg-red">Pendiente</span>';
				}elseif ($reg->estado=='Procesada') {
					$estado= '<span class="badge bg-green">Facturada</span>';
				}elseif ($reg->estado=='Procesada-Parcial') {
					$estado= '<span class="badge bg-yellow">Parcial</span>';
				}else {
					$estado= '<span class="badge bg-navy">Anulada</span>';
				}
				$data[]=array(
							"0"=>($reg->estado=='Aceptado')?'<button class="btn btn-warning btn-xs" onclick="mostrar('.$reg->idordencompraingreso.')"><i class="fa fa-eye"></i></button>'.' '.'<button class="btn btn-danger btn-xs" onclick="anular('.$reg->idordencompraingreso.')"><i class="fas fa-times"></i></button>':'<button class="btn btn-warning btn-xs" onclick="mostrar('.$reg->idordencompraingreso.')"><i class="fa fa-eye"></i></button>',
							"1"=>$reg->fecha,
							"2"=>$reg->proveedor,
							"3"=>$reg->usuario,
							"4"=>$reg->tipo_comprobante,
							"5"=>$reg->serie_comprobante. '-' .$reg->num_comprobante,
							"6"=>number_format($reg->total_comprad,2,',','.'),
							"7"=>$estado
								);
			}
			$results=array(
							"sEcho"=>1,//info para datatables
							"iTotalRecords"=>count($data),//enviamos el total de registros al datatable
							"iTotalDisplayRecords"=>count($data),//enviamos el total de registros a visualizar
							"aaData"=>$data); 
			echo json_encode($results);
	break;

	case 'listara':
		$rspta=$ordencompraingreso->listara();
		$data=Array();

		while ($reg=$rspta->fetch_object()) {
			if ($reg->estado=='Aceptado'){
				$boton = '<button class="btn btn-warning btn-xs" onclick="mostrar('.$reg->idordencompraingreso.')"><i class="fa fa-pencil"></i></button>'.' '.'<button class="btn btn-danger btn-xs" onclick="anular('.$reg->idordencompraingreso.')"><i class="fas fa-times"></i></button>'.' '.'<a target="_blank" href="reportes/OrdencompraingresoStandar.php?id='.$reg->idordencompraingreso.'"><button class="btn btn-primary btn-xs"><i class="fa fa-file"></i></button></a>';
				$estado= '<span class="badge bg-red">Pendiente</span>';
			}elseif ($reg->estado=='Pagada') {
				$boton = '<button class="btn btn-warning btn-xs" onclick="mostrar('.$reg->idordencompraingreso.')"><i class="fa fa-pencil"></i></button>'.' '.'<button class="btn btn-danger btn-xs" onclick="anular('.$reg->idordencompraingreso.')"><i class="fas fa-times"></i></button>'.' '.'<a target="_blank" href="reportes/OrdencompraingresoStandar.php?id='.$reg->idordencompraingreso.'"><button class="btn btn-primary btn-xs"><i class="fa fa-file"></i></button></a>';
				$estado= '<span class="badge bg-green">Pagada</span>';
			}elseif ($reg->estado=='Parcial') {
				$boton = '<button class="btn btn-warning btn-xs" onclick="mostrar('.$reg->idordencompraingreso.')"><i class="fa fa-pencil"></i></button>'.' '.'<button class="btn btn-danger btn-xs" onclick="anular('.$reg->idordencompraingreso.')"><i class="fas fa-times"></i></button>'.' '.'<a target="_blank" href="reportes/OrdencompraingresoStandar.php?id='.$reg->idordencompraingreso.'"><button class="btn btn-primary btn-xs"><i class="fa fa-file"></i></button></a>';
				$estado= '<span class="badge bg-yellow">Parcial</span>';
			}elseif ($reg->estado=='Procesada') {
				$boton = '<button class="btn btn-warning btn-xs" onclick="mostrarsolo('.$reg->idordencompraingreso.')"><i class="fa fa-eye"></i></button>'.' '.'<button class="btn btn-danger btn-xs" onclick="anular('.$reg->idordencompraingreso.')"><i class="fas fa-times"></i></button>'.' '.'<a target="_blank" href="reportes/OrdencompraingresoStandar.php?id='.$reg->idordencompraingreso.'"><button class="btn btn-primary btn-xs"><i class="fa fa-file"></i></button></a>';
				$estado= '<span class="badge bg-green">Facturada</span>';
			}else {
				$boton ='<button class="btn btn-warning btn-xs" onclick="mostrar('.$reg->idordencompraingreso.')"><i class="fa fa-eye"></i></button>';
				$estado= '<span class="badge bg-navy">Anulada</span>';
			}
			$data[]=array(
						/* "0"=>($reg->estado=='Aceptado')?'<button class="btn btn-warning btn-xs" onclick="mostrar('.$reg->idordencompraingreso.')"><i class="fa fa-eye"></i></button>'.' '.'<button class="btn btn-danger btn-xs" onclick="anular('.$reg->idordencompraingreso.')"><i class="fas fa-times"></i></button>':'<button class="btn btn-warning btn-xs" onclick="mostrar('.$reg->idordencompraingreso.')"><i class="fa fa-eye"></i></button>', */
						"0"=>$boton,
						"1"=>$reg->fecha,
						"2"=>$reg->proveedor,
						"3"=>$reg->usuario,
						"4"=>$reg->tipo_comprobante,
						"5"=>$reg->num_ordencompraingreso,
						"6"=>number_format($reg->total_comprad,2,',','.'),
						/* "7"=>($reg->estado=='Aceptado')?'<span class="badge bg-green">Aceptado</span>':'<span class="badge bg-red">Anulado</span>' */
						"7"=>$estado	
						);
		}
		$results=array(
						"sEcho"=>1,//info para datatables
						"iTotalRecords"=>count($data),//enviamos el total de registros al datatable
						"iTotalDisplayRecords"=>count($data),//enviamos el total de registros a visualizar
						"aaData"=>$data); 
		echo json_encode($results);
	break;

	case 'listaravista':
		$rspta=$ordencompraingreso->listara();
		$data=Array();

		while ($reg=$rspta->fetch_object()) {
			if ($reg->estado=='Aceptado'){
				$boton = '<button class="btn btn-warning btn-xs" onclick="mostrarsolo('.$reg->idordencompraingreso.')"><i class="fa fa-eye"></i></button>';
				$estado= '<span class="badge bg-red">Pendiente</span>';
			}elseif ($reg->estado=='Pagada') {
				$boton = '<button class="btn btn-warning btn-xs" onclick="mostrarsolo('.$reg->idordencompraingreso.')"><i class="fa fa-eye"></i></button>';
				$estado= '<span class="badge bg-green">Pagada</span>';
			}elseif ($reg->estado=='Parcial') {
				$boton = '<button class="btn btn-warning btn-xs" onclick="mostrarsolo('.$reg->idordencompraingreso.')"><i class="fa fa-eye"></i></button>';
				$estado= '<span class="badge bg-yellow">Parcial</span>';
			}elseif ($reg->estado=='Procesada') {
				$boton = '<button class="btn btn-warning btn-xs" onclick="mostrarsolo('.$reg->idordencompraingreso.')"><i class="fa fa-eye"></i></button>';
				$estado= '<span class="badge bg-green">Facturada</span>';
			}else {
				$boton ='<button class="btn btn-warning btn-xs" onclick="mostrarsolo('.$reg->idordencompraingreso.')"><i class="fa fa-eye"></i></button>';
				$estado= '<span class="badge bg-navy">Anulada</span>';
			}
			$data[]=array(
						/* "0"=>($reg->estado=='Aceptado')?'<button class="btn btn-warning btn-xs" onclick="mostrar('.$reg->idordencompraingreso.')"><i class="fa fa-eye"></i></button>'.' '.'<button class="btn btn-danger btn-xs" onclick="anular('.$reg->idordencompraingreso.')"><i class="fas fa-times"></i></button>':'<button class="btn btn-warning btn-xs" onclick="mostrar('.$reg->idordencompraingreso.')"><i class="fa fa-eye"></i></button>', */
						"0"=>$boton,
						"1"=>$reg->fecha,
						"2"=>$reg->proveedor,
						"3"=>$reg->usuario,
						"4"=>$reg->tipo_comprobante,
						"5"=>$reg->num_ordencompraingreso,
						"6"=>number_format($reg->total_comprad,2,',','.'),
						/* "7"=>($reg->estado=='Aceptado')?'<span class="badge bg-green">Aceptado</span>':'<span class="badge bg-red">Anulado</span>' */
						"7"=>$estado	
						);
		}
		$results=array(
						"sEcho"=>1,//info para datatables
						"iTotalRecords"=>count($data),//enviamos el total de registros al datatable
						"iTotalDisplayRecords"=>count($data),//enviamos el total de registros a visualizar
						"aaData"=>$data); 
		echo json_encode($results);
	break;

	case 'listarinsumo':
		$rspta=$ordencompraingreso->listarinsumo();
		$data=Array();

		while ($reg=$rspta->fetch_object()) {
			$data[]=array(
						"0"=>($reg->estado=='Aceptado')?'<button class="btn btn-warning btn-xs" onclick="mostrar('.$reg->idordencompraingreso.')"><i class="fa fa-eye"></i></button>'.' '.'<button class="btn btn-danger btn-xs" onclick="anular('.$reg->idordencompraingreso.')"><i class="fas fa-times"></i></button>':'<button class="btn btn-warning btn-xs" onclick="mostrar('.$reg->idordencompraingreso.')"><i class="fa fa-eye"></i></button>',
						"1"=>$reg->fecha,
						"2"=>$reg->proveedor,
						"3"=>$reg->usuario,
						"4"=>$reg->tipo_comprobante,
						"5"=>$reg->serie_comprobante. '-' .$reg->num_comprobante,
						"6"=>number_format($reg->total_comprad,2,',','.'),
						"7"=>($reg->estado=='Aceptado')?'<span class="badge bg-green">Aceptado</span>':'<span class="badge bg-red">Anulado</span>'
							);
		}
		$results=array(
						"sEcho"=>1,//info para datatables
						"iTotalRecords"=>count($data),//enviamos el total de registros al datatable
						"iTotalDisplayRecords"=>count($data),//enviamos el total de registros a visualizar
						"aaData"=>$data); 
		echo json_encode($results);
	break;
	
	case 'listarmixto':
		$rspta=$ordencompraingreso->listarmixto();
		$data=Array();

		while ($reg=$rspta->fetch_object()) {
			$data[]=array(
						"0"=>($reg->estado=='Aceptado')?'<button class="btn btn-warning btn-xs" onclick="mostrar('.$reg->idordencompraingreso.')"><i class="fa fa-eye"></i></button>'.' '.'<button class="btn btn-danger btn-xs" onclick="anular('.$reg->idordencompraingreso.')"><i class="fas fa-times"></i></button>':'<button class="btn btn-warning btn-xs" onclick="mostrar('.$reg->idordencompraingreso.')"><i class="fa fa-eye"></i></button>',
						"1"=>$reg->fecha,
						"2"=>$reg->proveedor,
						"3"=>$reg->usuario,
						/* "4"=>$reg->tipo_comprobante, */
						"4"=>$reg->num_comprobante,
						"5"=>number_format($reg->totalingresounidades,2,',','.'),
						"6"=>($reg->estado=='Aceptado')?'<span class="badge bg-green">Aceptado</span>':'<span class="badge bg-red">Anulado</span>'
							);
		}
		$results=array(
						"sEcho"=>1,//info para datatables
						"iTotalRecords"=>count($data),//enviamos el total de registros al datatable
						"iTotalDisplayRecords"=>count($data),//enviamos el total de registros a visualizar
						"aaData"=>$data); 
		echo json_encode($results);
	break;
	
	
	case 'listars':
		$rspta=$ordencompraingreso->listars();
		$data=Array();

		while ($reg=$rspta->fetch_object()) {
			$data[]=array(
						"0"=>($reg->estado=='Aceptado')?'<button class="btn btn-warning btn-xs" onclick="mostrar('.$reg->idordencompraingreso.')"><i class="fa fa-eye"></i></button>'.' '.'<button class="btn btn-danger btn-xs" onclick="anular('.$reg->idordencompraingreso.')"><i class="fas fa-times"></i></button>':'<button class="btn btn-warning btn-xs" onclick="mostrar('.$reg->idordencompraingreso.')"><i class="fa fa-eye"></i></button>',
						"1"=>$reg->fecha,
						"2"=>$reg->proveedor,
						"3"=>$reg->usuario,
						"4"=>$reg->tipo_comprobante,
						"5"=>$reg->num_suministro,
						"6"=>number_format($reg->total_compra,2,',','.'),
						"7"=>($reg->estado=='Aceptado')?'<span class="badge bg-green">Aceptado</span>':'<span class="badge bg-red">Anulado</span>'
							);
		}
		$results=array(
						"sEcho"=>1,//info para datatables
						"iTotalRecords"=>count($data),//enviamos el total de registros al datatable
						"iTotalDisplayRecords"=>count($data),//enviamos el total de registros a visualizar
						"aaData"=>$data); 
		echo json_encode($results);
	break;

	case 'listarordencompra':
		$rspta=$ordencompraingreso->listarordencompra($idproveedor);
		$data=Array();

		while ($reg=$rspta->fetch_object()) {
			$boton = '	<button class="btn btn-warning" onclick="agregarDetalleorden('.$reg->idordencompraingreso.')"><span class="fa fa-plus"></span></button>';
			if ($reg->estado=='Aceptado'){
				$estado= '<span class="badge bg-red">Pendiente</span>';
			}elseif ($reg->estado=='Procesada') {
				$estado= '<span class="badge bg-green">Facturada</span>';
			}elseif ($reg->estado=='Procesada-Parcial') {
				$estado= '<span class="badge bg-yellow">Parcial</span>';
			}else {
				$estado= '<span class="badge bg-navy">Anulada</span>';
			}
			$data[]=array(
						/* "0"=>($reg->estado=='Aceptado')?'<button class="btn btn-warning btn-xs" onclick="mostrar('.$reg->idordencompraingreso.')"><i class="fa fa-eye"></i></button>'.' '.'<button class="btn btn-danger btn-xs" onclick="anular('.$reg->idordencompraingreso.')"><i class="fas fa-times"></i></button>':'<button class="btn btn-warning btn-xs" onclick="mostrar('.$reg->idordencompraingreso.')"><i class="fa fa-eye"></i></button>', */
						"0"=>$boton,
						"1"=>$reg->fecha,
						"2"=>$reg->proveedor,
						"3"=>$reg->usuario,
						"4"=>$reg->tipo_comprobante,
						"5"=>$reg->num_ordencompraingreso,
						"6"=>number_format($reg->total_comprad,2,',','.'),
						/* "7"=>($reg->estado=='Aceptado')?'<span class="badge bg-green">Aceptado</span>':'<span class="badge bg-red">Anulado</span>' */
						"7"=>$estado	
						);
		}
		$results=array(
						"sEcho"=>1,//info para datatables
						"iTotalRecords"=>count($data),//enviamos el total de registros al datatable
						"iTotalDisplayRecords"=>count($data),//enviamos el total de registros a visualizar
						"aaData"=>$data); 
		echo json_encode($results);
	break;

	case 'listarordencomprasolo':
		$rspta=$ordencompraingreso->listarordencomprasolo($idordencompraingreso);
		$data=Array();

		while ($reg=$rspta->fetch_object()) {
		
			$data[]=array(
					
						"0"=>$reg->nombre,
						"1"=>number_format($reg->cantidad,2,',','.'),
						"2"=>number_format($reg->cantidadp,2,',','.'),
						"3"=>number_format($reg->cantidadb,2,',','.'),
						"4"=>number_format($reg->precio_compra,2,',','.'),
						"5"=>number_format($reg->precio_comprad,2,',','.'),
						);
		}
		$results=array(
						"sEcho"=>1,//info para datatables
						"iTotalRecords"=>count($data),//enviamos el total de registros al datatable
						"iTotalDisplayRecords"=>count($data),//enviamos el total de registros a visualizar
						"aaData"=>$data); 
		echo json_encode($results);
	break;

	case 'selectProveedor':
		require_once "../modelos/Persona.php";
		$persona = new Persona();
		$valorinicio	= 0;
		$valornombre	= 'Seleccione un Proveedor';
		echo '<option value='.$valorinicio.'>'.$valornombre.'</option>';
		$rspta = $persona->listarp();
		while ($reg = $rspta->fetch_object()) {
			echo '<option value='.$reg->idpersona.'>'.$reg->nombre.'</option>';
		}
	break;

	case 'selectProveedori':
		require_once "../modelos/Persona.php";
		$persona = new Persona();
		$valorinicio	= 0;
		$valornombre	= 'Seleccione un Proveedor de Insumo';
		echo '<option value='.$valorinicio.'>'.$valornombre.'</option>';
		$rspta = $persona->listarpi();

		while ($reg = $rspta->fetch_object()) {
			echo '<option value='.$reg->idpersona.'>'.$reg->nombre.'</option>';
		}
	break;

	case 'selectProveedorf':
		require_once "../modelos/Persona.php";
		$persona = new Persona();
		$valorinicio	= 0;
		$valornombre	= 'Seleccione un Fabricante';
		echo '<option value='.$valorinicio.'>'.$valornombre.'</option>';
		$rspta = $persona->listarpf();

		while ($reg = $rspta->fetch_object()) {
			echo '<option value='.$reg->idpersona.'>'.$reg->nombre.'</option>';
		}
	break;

	case 'selectAlmacen':
		require_once "../modelos/Almacen.php";
		$almacen = new Almacen();

		$rspta = $almacen->select();

		while ($reg = $rspta->fetch_object()) {
			echo '<option value='.$reg->idalmacen.'>'.$reg->nombre.'</option>';
		}
	break;

	case 'selectImpuestoslr':
		require_once "../modelos/Impuestoslr.php";
		$impuestoslr = new Impuestoslr();
		$valorinicio	= 0;
		$valornombre	= 'Seleccione un ISLR';
		echo '<option value='.$valorinicio.'>'.$valornombre.'</option>';
		$rspta = $impuestoslr->select();

		while ($reg = $rspta->fetch_object()) {
			echo '<option value='.$reg->idimpuestoslr.'>'.$reg->nombre.'</option>';
		}
	break;

	case 'selectProveedorSuministro':
		require_once "../modelos/Persona.php";
		$persona = new Persona();

		$rspta = $persona->listarp();

		while ($reg = $rspta->fetch_object()) {
			$selected = '';
			if ($reg->nombre=='BODEGART'){
				$selected = 'selected';
			}
			echo '<option value='.$reg->idpersona.'"" '.$selected.'>'.$reg->nombre.'</option>';
		}
	break;
	
	case 'listarArticulos':
		require_once "../modelos/Articulo.php";
		$articulo=new Articulo();
		$rspta=$articulo->listarActivos();
		$tipos			='A';
		$data=Array();
		while ($reg=$rspta->fetch_object()) {
			$data[]=array(
						"0"=>'<button class="btn btn-warning" onclick="agregarDetalle('.$reg->idarticulo.',\''.$reg->nombre.'\',\''.$reg->costo.'\',\''.$reg->costod.'\',\''.$reg->costoa.'\',\''.$reg->costoad.'\',\''.$reg->exento.'\',\''.$tipos.'\')"><span class="fa fa-plus"></span></button>',
						                                               //agregarDetalle('.$reg->idservicio.',\''.$reg->nombre.'\','.$reg->precio.','.$reg->porcentaje.',\''.$tipos.'\',\''.$reg->exento.'\')
						"1"=>$reg->nombre,
						"2"=>$reg->categoria,
						"3"=>$reg->codigo,
						"4"=>$reg->stock,
						"5"=>"<img src='files/articulos/".$reg->imagen."' height='50px' width='50px'>"
					
							);
		}
		$results=array(
						"sEcho"=>1,//info para datatables
						"iTotalRecords"=>count($data),//enviamos el total de registros al datatable
						"iTotalDisplayRecords"=>count($data),//enviamos el total de registros a visualizar
						"aaData"=>$data); 
		echo json_encode($results);
	break;

	case 'listarArticulomixto':
		require_once "../modelos/Articulo.php";
		$articulo=new Articulo();
		$rspta=$articulo->listarActivosmixto();
		$tipos			='A';
		$data=Array();
		while ($reg=$rspta->fetch_object()) {
			$data[]=array(
						"0"=>'<button class="btn btn-warning" onclick="agregarDetalle('.$reg->idarticulo.',\''.$reg->nombre.'\',\''.$reg->costo.'\',\''.$reg->costod.'\',\''.$reg->costoa.'\',\''.$reg->costoad.'\',\''.$reg->exento.'\',\''.$tipos.'\')"><span class="fa fa-plus"></span></button>',
						                                               //agregarDetalle('.$reg->idservicio.',\''.$reg->nombre.'\','.$reg->precio.','.$reg->porcentaje.',\''.$tipos.'\',\''.$reg->exento.'\')
						"1"=>$reg->nombre,
						"2"=>$reg->categoria,
						"3"=>$reg->codigo,
						"4"=>$reg->stock,
						"5"=>"<img src='files/articulos/".$reg->imagen."' height='50px' width='50px'>"
					
							);
		}
		$results=array(
						"sEcho"=>1,//info para datatables
						"iTotalRecords"=>count($data),//enviamos el total de registros al datatable
						"iTotalDisplayRecords"=>count($data),//enviamos el total de registros a visualizar
						"aaData"=>$data); 
		echo json_encode($results);
	break;

	case 'listarArticuloso':
		require_once "../modelos/Articulo.php";
		$articulo=new Articulo();
		$rspta=$articulo->listarActivoso();
		$tipos			='A';
		$data=Array();
		while ($reg=$rspta->fetch_object()) {
			$data[]=array(
						"0"=>'<button class="btn btn-warning" onclick="agregarDetalle('.$reg->idarticulo.',\''.$reg->nombre.'\',\''.$reg->costo.'\',\''.$reg->costod.'\',\''.$reg->costoa.'\',\''.$reg->costoad.'\',\''.$reg->exento.'\',\''.$tipos.'\')"><span class="fa fa-plus"></span></button>',
						                                               //agregarDetalle('.$reg->idservicio.',\''.$reg->nombre.'\','.$reg->precio.','.$reg->porcentaje.',\''.$tipos.'\',\''.$reg->exento.'\')
						"1"=>$reg->nombre,
						"2"=>$reg->categoria,
						"3"=>$reg->codigo,
						"4"=>$reg->stock,
						"5"=>"<img src='files/articulos/".$reg->imagen."' height='50px' width='50px'>"
					
							);
		}
		$results=array(
						"sEcho"=>1,//info para datatables
						"iTotalRecords"=>count($data),//enviamos el total de registros al datatable
						"iTotalDisplayRecords"=>count($data),//enviamos el total de registros a visualizar
						"aaData"=>$data); 
		echo json_encode($results);
	break;

	case 'listarArticulosi':
		require_once "../modelos/Articulo.php";
		$articulo=new Articulo();
		$rspta=$articulo->listarActivosi();
		$tipos			='A';
		$data=Array();
		while ($reg=$rspta->fetch_object()) {
			$articulon = $reg->categoria.'-'.$reg->nombre.'-'.$reg->descripcion;
			$data[]=array(
						"0"=>'<button class="btn btn-warning" onclick="agregarDetalle('.$reg->idarticulo.',\''.$articulon.'\',\''.$reg->costo.'\',\''.$reg->costod.'\',\''.$reg->costoa.'\',\''.$reg->costoad.'\',\''.$reg->exento.'\',\''.$tipos.'\')"><span class="fa fa-plus"></span></button>',
						                                               //agregarDetalle('.$reg->idservicio.',\''.$reg->nombre.'\','.$reg->precio.','.$reg->porcentaje.',\''.$tipos.'\',\''.$reg->exento.'\')
						"1"=>$reg->nombre,
						"2"=>$reg->descripcion,
						"3"=>$reg->categoria,
						"4"=>$reg->codigo,
						"5"=>$reg->stock,
						"6"=>"<img src='files/articulos/".$reg->imagen."' height='50px' width='50px'>"
					
							);
		}
		$results=array(
						"sEcho"=>1,//info para datatables
						"iTotalRecords"=>count($data),//enviamos el total de registros al datatable
						"iTotalDisplayRecords"=>count($data),//enviamos el total de registros a visualizar
						"aaData"=>$data); 
		echo json_encode($results);
	break;
		
	case 'listarArticuloBarra':
		require_once "../modelos/Articulo.php";
		$articulo=new Articulo();
		$rspta=$articulo->listarActivosBodegartCafetinSuministro();
		$data=Array();
		while ($reg=$rspta->fetch_object()) {
			$data[]=array(
						"0"=>'<button class="btn btn-warning" onclick="agregarDetalle('.$reg->idarticulo.',\''.$reg->nombre.'\',\''.$reg->costo.'\',\''.$reg->precio.'\')"><span class="fa fa-plus"></span></button>',
						"1"=>$reg->nombre,
						"2"=>$reg->categoria,
						"3"=>$reg->codigo,
						"4"=>$reg->stock,
						"5"=>"<img src='files/articulos/".$reg->imagen."' height='50px' width='50px'>"
					
							);
		}
		$results=array(
						"sEcho"=>1,//info para datatables
						"iTotalRecords"=>count($data),//enviamos el total de registros al datatable
						"iTotalDisplayRecords"=>count($data),//enviamos el total de registros a visualizar
						"aaData"=>$data); 
		echo json_encode($results);

	break;
			
	case 'listarActivosServiciosCompra':
		require_once "../modelos/Servicios.php";
		$servicio		=new Servicios();
		$rspta			=$servicio->listarActivosServiciosCompra();
		//echo "<script> alert('estoy en listarServicios Controlador') </script>";
		//a.idservicio,a.idcategoria,c.nombre as categoria, a.nombre,a.precio,a.porcentaje,a.descripcion,a.condicion
		$tipos			='S';
		$data				=Array();
		while ($reg=$rspta->fetch_object()) {
			$data[]=array(
						"0"=>'<button class="btn btn-warning" 
						onclick="agregarDetalle('.$reg->idservicio.',\''.$reg->nombre.'\',\''.$reg->precio.'\',\''.$reg->preciod.'\',\''.$reg->precio.'\',\''.$reg->preciod.'\',\''.$reg->exento.'\',\''.$tipos.'\')"><span class="fa fa-plus"></span></button>',
						//       
						"1"=>$reg->nombre,
						"2"=>$reg->nombreservio,
						"3"=>$reg->precio,
						"4"=>$reg->porcentaje
						);
		}
		$results=array(
						"sEcho"=>1,//info para datatables
						"iTotalRecords"=>count($data),//enviamos el total de registros al datatable
						"iTotalDisplayRecords"=>count($data),//enviamos el total de registros a visualizar
						"aaData"=>$data); 
		echo json_encode($results);

	break;
}
 ?>